'use strict';

const _ = {
    version: 0,
    debug: true,
    // http://paulirish.com/2009/log-a-lightweight-wrapper-for-consolelog/
    log: function() {
        log.history = log.history || [];   // store logs to an array for reference
        log.history.push(arguments);
        if(this.debug){
            console.log( Array.prototype.slice.call(arguments) );
        }
    }
};

riot.mixin({
    log: _.log,
    relay: riot.observable()
});
